module Werd
  module Commands
    class Report < ::Escort::ActionCommand::Base
      def execute
        token      = command_options[:token]
        project_id = command_options[:project]

        words = ProjectWordCounter.new(token, project_id).words
        words = PosFilter.filter(words)
        puts Reports::Basic.new(words).to_s
      end
    end
  end
end
